Subject: pkg/13173: png package installs with unreasonable bumped major version number
To: None <>
From: None <>
List: netbsd-bugs
Date: 06/12/2001 17:14:04
>Number:         13173
>Category:       pkg
>Synopsis:       Latest `png' package version installs `' with unreasonable bumped major version number in shared libraries breaking a lot of precompiled software
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Mon Jun 11 22:09:00 PDT 2001
>Originator:     Oleg Polianski
>Release:        NetBSD/i386-current
 CLEAR Communications, Ltd.

System: NetBSD 1.5V NetBSD 1.5V (SIMOOM) #14: Mon May 28 14:11:19 NZST 2001 i386
Architecture: i386
Machine: i386
 Actually, after reading the `pkg/12856' bug report, I see the arguments behind this change but anyway the current solution is only half way done and still break a lot of installed software that depends on `png' package. So, further investigation and work is definetely required.
 Try to upgrade `png' package to latest version and start any existing application (like ghostscript for example) that depends on `png' package.
 Yes, please.